
Infrastructure - Task #3671

Story # 3667 (Rejected): MN.update() should set archive field for the obsoleted object

sync return InvalidSysMeta for obsoleted but not archived 

2013-03-19 19:18 - Rob Nahf

Status: Rejected Start date: 2013-03-19

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 0%

Category: d1_synchronization Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

[12:20pm] skye: if we really want obsolete to be kept out of the index via update/archive, shouldn't the CN be enforcing the archive

flag is set.  otherwise its a MN policy decision?

[12:21pm] rob_ joined the chat room.

[12:21pm] chris: hmm. good point. seems like we need both

[12:22pm] robert: another point in the conversation about control of sysMeta

[12:22pm] skye: true

[12:23pm] chris: this could be handled in d1_sync or in Metacat, and it could throw InvalidSystemMetadata if obsoletedBy is present

but archived is not

History

#1 - 2013-03-22 17:12 - Robert Waltz

- Description updated

- Status changed from New to Rejected

- translation missing: en.field_remaining_hours set to 0.0
